Skip to main content
PATCH
/
cdn
/
logs_uploader
/
configs
/
{id}
Change config
curl --request PATCH \
  --url https://api.gcore.com/cdn/logs_uploader/configs/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "name": "<string>",
  "policy": 123,
  "target": 123,
  "for_all_resources": true,
  "resources": [
    123
  ],
  "for_all_clients": true,
  "clients": [
    123
  ]
}
'
{
  "id": 123,
  "client_id": 123,
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z",
  "enabled": true,
  "name": "<string>",
  "policy": 123,
  "target": 123,
  "for_all_resources": true,
  "resources": [
    123
  ],
  "status": {
    "code": 123,
    "updated": "2023-11-07T05:31:56Z",
    "details": "<string>"
  },
  "for_all_clients": true,
  "clients": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

id
integer
required

Body

application/json

Reseller-specific scoping fields. for_all_clients (sub-clients only) and for_all_resources (tech-client only) cover orthogonal scopes and can be combined. Only for_all_clientsclients and for_all_resourcesresources are mutually exclusive.

enabled
boolean

Enables or disables the config.

name
string

Name of the config.

policy
integer

ID of the policy that should be assigned to given config.

target
integer

ID of the target to which logs should be uploaded.

for_all_resources
boolean

If set to true, the config will be applied to all CDN resources. If set to false, the config will be applied to the resources specified in the resources field.

resources
integer[]

List of resource IDs to which the config should be applied.

for_all_clients
boolean

If set to true, the config will be applied to all resources of every sub-client under the reseller. Resources owned directly by the reseller's own tech-client are not matched — use for_all_resources (additionally or instead) to cover the tech-client's resources. Mutually exclusive with clients.

clients
integer[]

List of sub-client IDs to which the config should be applied. Mutually exclusive with for_all_clients.

Response

Successful.

Reseller-specific scoping fields. for_all_clients (sub-clients only) and for_all_resources (tech-client only) cover orthogonal scopes and can be combined. Only for_all_clientsclients and for_all_resourcesresources are mutually exclusive.

id
integer
read-only
client_id
integer
read-only

Client that owns the config.

created
string<date-time>
read-only

Time when the config was created.

updated
string<date-time>
read-only

Time when the config was updated.

enabled
boolean

Enables or disables the config.

name
string

Name of the config.

policy
integer

ID of the policy that should be assigned to given config.

target
integer

ID of the target to which logs should be uploaded.

for_all_resources
boolean

If set to true, the config will be applied to all CDN resources. If set to false, the config will be applied to the resources specified in the resources field.

resources
integer[]

List of resource IDs to which the config should be applied.

status
object

Validation status of the logs uploader config.

for_all_clients
boolean

If set to true, the config will be applied to all resources of every sub-client under the reseller. Resources owned directly by the reseller's own tech-client are not matched — use for_all_resources (additionally or instead) to cover the tech-client's resources. Mutually exclusive with clients.

clients
integer[]

List of sub-client IDs to which the config should be applied. Mutually exclusive with for_all_clients.